%define anolis_release 3

%global pypi_name pecan

Name:           python-%{pypi_name}
Version:        1.4.2
Release:        %{anolis_release}%{?dist}
Summary:        A lean WSGI object-dispatching web framework

License:        BSD
URL:            https://github.com/pecan/pecan
Source0:        https://github.com/pecan/pecan/archive/%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
A WSGI object-dispatching web framework, designed to be lean and
fast with few dependencies

%package -n python3-%{pypi_name}
Summary:        A lean WSGI object-dispatching web framework
%{?python_provide:%python_provide python3-%{pypi_name}}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

Conflicts:     python2-%{pypi_name} < 1.3.2-5

%description -n python3-%{pypi_name}
A WSGI object-dispatching web framework, designed to be lean and
fast with few dependencies

%package -n     python3-%{pypi_name}-doc
Summary:        Documentation files for %{name}
Requires:       python3-%{pypi_name} = %{EVR}
BuildArch:      noarch

%description -n python3-%{pypi_name}-doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc LICENSE
%{_bindir}/pecan
%{_bindir}/gunicorn_pecan
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%files -n python3-%{pypi_name}-doc
%doc README.rst

%changelog
* Tue Mar 12 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 1.4.2-3
- Rebuild with python3.11

* Wed Dec 13 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.4.2-2
- rebuild

* Tue Mar 28 2023 Yuanhong Peng <yummypeng@linux.alibaba.com> - 1.4.2-1
- Init from upstream
